org.opencv.text

## Class OCRTesseract

- java.lang.Object
- - org.opencv.text.BaseOCR
  - - org.opencv.text.OCRTesseract

-     public class OCRTesseract
      extends BaseOCR

- - ### Field Summary

    - ### Fields inherited from class org.opencv.text.BaseOCR

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OCRTesseract(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCRTesseract` | `__fromPtr__(long addr)`
    `static OCRTesseract` | `create()`
    `static OCRTesseract` | `create(java.lang.String datapath)`
    `static OCRTesseract` | `create(java.lang.String datapath, java.lang.String language)`
    `static OCRTesseract` | `create(java.lang.String datapath, java.lang.String language, java.lang.String char_whitelist)`
    `static OCRTesseract` | `create(java.lang.String datapath, java.lang.String language, java.lang.String char_whitelist, int oem)`
    `static OCRTesseract` | `create(java.lang.String datapath, java.lang.String language, java.lang.String char_whitelist, int oem, int psmode)`
    `protected void` | `finalize()`
    `java.lang.String` | `run(Mat image, int min_confidence)`
    `java.lang.String` | `run(Mat image, int min_confidence, int component_level)`
    `java.lang.String` | `run(Mat image, Mat mask, int min_confidence)`
    `java.lang.String` | `run(Mat image, Mat mask, int min_confidence, int component_level)`
    `void` | `setWhiteList(java.lang.String char_whitelist)`

    - ### Methods inherited from class org.opencv.text.BaseOCR

      `getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OCRTesseract

          protected OCRTesseract(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static OCRTesseract __fromPtr__(long addr)

    - #### create

          public static OCRTesseract create(java.lang.String datapath,
                                            java.lang.String language,
                                            java.lang.String char_whitelist,
                                            int oem,
                                            int psmode)

    - #### create

          public static OCRTesseract create(java.lang.String datapath,
                                            java.lang.String language,
                                            java.lang.String char_whitelist,
                                            int oem)

    - #### create

          public static OCRTesseract create(java.lang.String datapath,
                                            java.lang.String language,
                                            java.lang.String char_whitelist)

    - #### create

          public static OCRTesseract create(java.lang.String datapath,
                                            java.lang.String language)

    - #### create

          public static OCRTesseract create(java.lang.String datapath)

    - #### create

          public static OCRTesseract create()

    - #### run

          public java.lang.String run(Mat image,
                                      Mat mask,
                                      int min_confidence,
                                      int component_level)

    - #### run

          public java.lang.String run(Mat image,
                                      Mat mask,
                                      int min_confidence)

    - #### run

          public java.lang.String run(Mat image,
                                      int min_confidence,
                                      int component_level)

    - #### run

          public java.lang.String run(Mat image,
                                      int min_confidence)

    - #### setWhiteList

          public void setWhiteList(java.lang.String char_whitelist)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `BaseOCR`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3